# fn() createBWTable
Creates a Burrows-Wheeler table from a given text and suffix array.

Defined in | <seqan/index.h>
Signature | `void createBWTable(bwt, text, suffixArray[, algoTag]);`

## Parameters

`bwt` | The resulting Burrows-Wheeler table.
`suffix` | Array The suffix array of `text`.
`text` | A given text. Types: ContainerConcept
`algoTag` | A tag that identifies the algorithm which is used for creation.

## Detailed Description

This function should not be called directly. Please use indexCreate or indexRequire. The size of `bwt` must be at least `length(text)` before calling this function.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn createBWTable
     *
     * @headerfile <seqan/index.h>
     *
     * @brief Creates a Burrows-Wheeler table from a given text and suffix array.
     *
     * @signature void createBWTable(bwt, text, suffixArray[, algoTag]);
     *
     * @param[out] bwt The resulting Burrows-Wheeler table.
     * @param[in] suffix Array The suffix array of <tt>text</tt>.
     * @param[in] text A given text. Types: @link ContainerConcept @endlink
     * @param[in] algoTag A tag that identifies the algorithm which is used for
     *                    creation.
     *
     * This function should not be called directly. Please use @link
     * Index#indexCreate @endlink or @link Index#indexRequire @endlink. The size of
     * <tt>bwt</tt> must be at least <tt>length(text)</tt> before calling this
     * function.
     */